summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-03-01 07:01:54 +0100
committerHans de Graaff <graaff@gentoo.org>2017-03-01 07:01:54 +0100
commit066152e0419521d24b5060f4c7b0991df7f069f4 (patch)
treed4e156b9485fb0e7b9d10ae41d0135fe7883c652 /dev-ruby
parentdev-ruby/uglifier: cleanup (diff)
downloadgentoo-066152e0419521d24b5060f4c7b0991df7f069f4.tar.gz
gentoo-066152e0419521d24b5060f4c7b0991df7f069f4.tar.bz2
gentoo-066152e0419521d24b5060f4c7b0991df7f069f4.zip
dev-ruby/uglifier: add 3.1.1
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/uglifier/Manifest1
-rw-r--r--dev-ruby/uglifier/uglifier-3.1.1.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/uglifier/Manifest b/dev-ruby/uglifier/Manifest
index aacb6e79639..9f7d99ba9b8 100644
--- a/dev-ruby/uglifier/Manifest
+++ b/dev-ruby/uglifier/Manifest
@@ -1,2 +1,3 @@
DIST uglifier-2.7.2.gem 84480 SHA256 9f05989ffbcdef532a58062443ab7107319dbec3b76b6d604669853a3e31fa57 SHA512 03c8fffbd385db9ee0fa8f422bf571ba99803f810828d536f1b00bc99a21108ac0ed232015d39f1ab88441fef0a3371df10944873fbadae6c8bd2624e3e1a65d WHIRLPOOL e28e8ebbee1e677e8e0eff453ef37e795df3b0e18414a8af5c1143fe463b987bca157fef3aebab247176fd6931cd07993caa462409832a3c8632110bd49e7e8f
DIST uglifier-3.0.4.tar.gz 94995 SHA256 00e788927a26aceb374e2e60b83bf5c62969de58aa3cdb20bada9b5b51d73ccb SHA512 97494f8a195d9a0f4050b08812b8a8fb04a1261b93e48193a1427ede98c50460f99be83cf1335ad5afd19f171e6edd050bfa11a7848059642a04749a385c8cbd WHIRLPOOL 840105087300eb324e874c9818327c17a697649fe09bfa2b340f7d045c5d911eaf37cd22b425bedf216de647962c1a93f16729e2651da0ea9abe271c50ff1243
+DIST uglifier-3.1.1.tar.gz 98747 SHA256 c82290a5e3a1eeb02f6394a866668f79e2eabbe94478921a9cb7b052099097be SHA512 6ad2c025ca99b32e46faea29fd0d044e420b1c0ca9b0082e4ec989465fb3d65c75c594f71b6122623ab9d695a8c1eef142fc8758e902b61ca3f921bcbf89d251 WHIRLPOOL 4bba4789ef125a52729d4c66d99099c583b81bdefea8b2e381562d4878c7a21cff478f66ec41bf07768d773c6bfd50225bb797cccaeb870635f5deac0c4ef944
diff --git a/dev-ruby/uglifier/uglifier-3.1.1.ebuild b/dev-ruby/uglifier/uglifier-3.1.1.ebuild
new file mode 100644
index 00000000000..b23fff6c2bd
--- /dev/null
+++ b/dev-ruby/uglifier/uglifier-3.1.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby wrapper for UglifyJS JavaScript compressor"
+HOMEPAGE="https://github.com/lautis/uglifier"
+SRC_URI="https://github.com/lautis/uglifier/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~amd64-linux"
+
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/execjs-0.3.0:*"
+
+ruby_add_bdepend "test? ( dev-ruby/sourcemap )"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}